Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.external.javadoc
Interface MinimalJavadocOptions

    interface MinimalJavadocOptions

author:
  Tom Eyckmans

Method Summary
`MinimalJavadocOptions` | `bootClasspath(File bootClasspath)`
`MinimalJavadocOptions` | `breakIterator(boolean breakIterator)`
`MinimalJavadocOptions` | `breakIterator()`
`MinimalJavadocOptions` | `classpath(List classpath)`
`MinimalJavadocOptions` | `classpath(File classpath)`
`void` | `contributeCommandLineOptions(ExecHandleBuilder execHandleBuilder)`
`MinimalJavadocOptions` | `destinationDirectory(File directory)`
`MinimalJavadocOptions` | `doclet(java.lang.String docletClass)`
`MinimalJavadocOptions` | `docletClasspath(File docletClasspath)`
`MinimalJavadocOptions` | `encoding(java.lang.String encoding)`
`MinimalJavadocOptions` | `exclude(java.lang.String exclude)`
`MinimalJavadocOptions` | `extDirs(File extDirs)`
`List` | `getBootClasspath()`
`List` | `getClasspath()`
`File` | `getDestinationDirectory()`
`java.lang.String` | `getDoclet()`
`List` | `getDocletClasspath()`
`java.lang.String` | `getEncoding()`
`List` | `getExclude()`
`List` | `getExtDirs()`
`List` | `getJFlags()`
`java.lang.String` | `getLocale()`
`JavadocMemberLevel` | `getMemberLevel()`
`List` | `getOptionFiles()`
`JavadocOutputLevel` | `getOutputLevel()`
`java.lang.String` | `getOverview()`
`List` | `getPackageNames()`
`java.lang.String` | `getSource()`
`List` | `getSourceNames()`
`List` | `getSourcepath()`
`List` | `getSubPackages()`
`java.lang.String` | `getWindowTitle()`
`boolean` | `isBreakIterator()`
`boolean` | `isVerbose()`
`MinimalJavadocOptions` | `jFlags(java.lang.String jFlags)`
`MinimalJavadocOptions` | `locale(java.lang.String locale)`
`MinimalJavadocOptions` | `optionFiles(File argumentFiles)`
`MinimalJavadocOptions` | `overview(java.lang.String overview)`
`MinimalJavadocOptions` | `packageNames(java.lang.String packageNames)`
`MinimalJavadocOptions` | `quiet()`
`void` | `setBootClasspath(List bootClasspath)`
`void` | `setBreakIterator(boolean breakIterator)`
`void` | `setClasspath(List classpath)`
`void` | `setDestinationDirectory(File directory)`
`void` | `setDoclet(java.lang.String docletClass)`
`void` | `setDocletClasspath(List docletClasspath)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setExclude(List exclude)`
`void` | `setExtDirs(List extDirs)`
`void` | `setJFlags(List jFlags)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setMemberLevel(JavadocMemberLevel memberLevel)`
`void` | `setOptionFiles(List optionFiles)`
`void` | `setOutputLevel(JavadocOutputLevel outputLevel)`
`void` | `setOverview(java.lang.String overview)`
`void` | `setPackageNames(List packageNames)`
`void` | `setSource(java.lang.String source)`
`void` | `setSourceNames(List sourceNames)`
`void` | `setSourcepath(List sourcepath)`
`void` | `setSubPackages(List subPackages)`
`void` | `setWindowTitle(java.lang.String windowTitle)`
`MinimalJavadocOptions` | `showAll()`
`MinimalJavadocOptions` | `showFromPackage()`
`MinimalJavadocOptions` | `showFromPrivate()`
`MinimalJavadocOptions` | `showFromProtected()`
`MinimalJavadocOptions` | `showFromPublic()`
`MinimalJavadocOptions` | `source(java.lang.String source)`
`MinimalJavadocOptions` | `sourceNames(java.lang.String sourceNames)`
`MinimalJavadocOptions` | `sourcepath(List sourcepath)`
`MinimalJavadocOptions` | `sourcepath(File sourcepath)`
`MinimalJavadocOptions` | `subPackages(java.lang.String subPackages)`
`MinimalJavadocOptions` | `verbose()`
`StandardJavadocDocletOptions` | `windowTitle(java.lang.String windowTitle)`
`void` | `write(File outputFile)`

Method Detail

### bootClasspath

    public MinimalJavadocOptions bootClasspath(File bootClasspath)

### breakIterator

    public MinimalJavadocOptions breakIterator(boolean breakIterator)

### breakIterator

    public MinimalJavadocOptions breakIterator()

### classpath

    public MinimalJavadocOptions classpath(List classpath)

### classpath

    public MinimalJavadocOptions classpath(File classpath)

### contributeCommandLineOptions

    public void contributeCommandLineOptions(ExecHandleBuilder execHandleBuilder)

### destinationDirectory

    public MinimalJavadocOptions destinationDirectory(File directory)

### doclet

    public MinimalJavadocOptions doclet(java.lang.String docletClass)

### docletClasspath

    public MinimalJavadocOptions docletClasspath(File docletClasspath)

### encoding

    public MinimalJavadocOptions encoding(java.lang.String encoding)

### exclude

    public MinimalJavadocOptions exclude(java.lang.String exclude)

### extDirs

    public MinimalJavadocOptions extDirs(File extDirs)

### getBootClasspath

    public List getBootClasspath()

### getClasspath

    public List getClasspath()

### getDestinationDirectory

    public File getDestinationDirectory()

### getDoclet

    public java.lang.String getDoclet()

### getDocletClasspath

    public List getDocletClasspath()

### getEncoding

    public java.lang.String getEncoding()

### getExclude

    public List getExclude()

### getExtDirs

    public List getExtDirs()

### getJFlags

    public List getJFlags()

### getLocale

    public java.lang.String getLocale()

### getMemberLevel

    public JavadocMemberLevel getMemberLevel()

### getOptionFiles

    public List getOptionFiles()

### getOutputLevel

    public JavadocOutputLevel getOutputLevel()

### getOverview

    public java.lang.String getOverview()

### getPackageNames

    public List getPackageNames()

### getSource

    public java.lang.String getSource()

### getSourceNames

    public List getSourceNames()

### getSourcepath

    public List getSourcepath()

### getSubPackages

    public List getSubPackages()

### getWindowTitle

    public java.lang.String getWindowTitle()

### isBreakIterator

    public boolean isBreakIterator()

### isVerbose

    public boolean isVerbose()

### jFlags

    public MinimalJavadocOptions jFlags(java.lang.String jFlags)

### locale

    public MinimalJavadocOptions locale(java.lang.String locale)

### optionFiles

    public MinimalJavadocOptions optionFiles(File argumentFiles)

### overview

    public MinimalJavadocOptions overview(java.lang.String overview)

### packageNames

    public MinimalJavadocOptions packageNames(java.lang.String packageNames)

### quiet

    public MinimalJavadocOptions quiet()

### setBootClasspath

    public void setBootClasspath(List bootClasspath)

### setBreakIterator

    public void setBreakIterator(boolean breakIterator)

### setClasspath

    public void setClasspath(List classpath)

### setDestinationDirectory

    public void setDestinationDirectory(File directory)

### setDoclet

    public void setDoclet(java.lang.String docletClass)

### setDocletClasspath

    public void setDocletClasspath(List docletClasspath)

### setEncoding

    public void setEncoding(java.lang.String encoding)

### setExclude

    public void setExclude(List exclude)

### setExtDirs

    public void setExtDirs(List extDirs)

### setJFlags

    public void setJFlags(List jFlags)

### setLocale

    public void setLocale(java.lang.String locale)

### setMemberLevel

    public void setMemberLevel(JavadocMemberLevel memberLevel)

### setOptionFiles

    public void setOptionFiles(List optionFiles)

### setOutputLevel

    public void setOutputLevel(JavadocOutputLevel outputLevel)

### setOverview

    public void setOverview(java.lang.String overview)

### setPackageNames

    public void setPackageNames(List packageNames)

### setSource

    public void setSource(java.lang.String source)

### setSourceNames

    public void setSourceNames(List sourceNames)

### setSourcepath

    public void setSourcepath(List sourcepath)

### setSubPackages

    public void setSubPackages(List subPackages)

### setWindowTitle

    public void setWindowTitle(java.lang.String windowTitle)

### showAll

    public MinimalJavadocOptions showAll()

### showFromPackage

    public MinimalJavadocOptions showFromPackage()

### showFromPrivate

    public MinimalJavadocOptions showFromPrivate()

### showFromProtected

    public MinimalJavadocOptions showFromProtected()

### showFromPublic

    public MinimalJavadocOptions showFromPublic()

### source

    public MinimalJavadocOptions source(java.lang.String source)

### sourceNames

    public MinimalJavadocOptions sourceNames(java.lang.String sourceNames)

### sourcepath

    public MinimalJavadocOptions sourcepath(List sourcepath)

### sourcepath

    public MinimalJavadocOptions sourcepath(File sourcepath)

### subPackages

    public MinimalJavadocOptions subPackages(java.lang.String subPackages)

### verbose

    public MinimalJavadocOptions verbose()

### windowTitle

    public StandardJavadocDocletOptions windowTitle(java.lang.String windowTitle)

### write

    public void write(File outputFile)

Groovy Documentation